PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros
sound.h File Reference
`#include <ptlib/plugin.h>`
`#include <ptlib/pluginmgr.h>`
Include dependency graph for sound.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PSound
| A class representing a sound. More...
class | PSoundChannel
| Abstract class for a generalised sound channel, and an implementation of PSoundChannel for old code that is not plugin-aware. More...
class | PSoundChannelPluginServiceDescriptor< className >

## Macros
#define | PCREATE_SOUND_PLUGIN(name, className)
#define | P_NULL_AUDIO_DRIVER "NullAudio"
#define | P_NULL_AUDIO_DEVICE "Null Audio"

## Macro Definition Documentation

#define P_NULL_AUDIO_DEVICE "Null Audio"

#define P_NULL_AUDIO_DRIVER "NullAudio"

#define PCREATE_SOUND_PLUGIN | ( |  | name,
|  |  | className
| ) |  |

Value:
static PSoundChannelPluginServiceDescriptor<className> className##_descriptor; \
PCREATE_PLUGIN(name, PSoundChannel, &className##_descriptor)